### Method

# Pango Layout get_lines_readonly

since: 1.16

#### Declaration [src]

    GSList*
    pango_layout_get_lines_readonly (
      PangoLayout* layout
    )

#### Description [src]

Returns the lines of the `layout` as a list.

This is a faster alternative to `pango_layout_get_lines()`, but the user is not expected to modify the contents of the lines (glyphs, glyph widths, etc.).

Available since: 1.16

#### Return value

Type: A list of `PangoLayoutLine*`

A `GSList` containing the lines in the layout. This points to internal data of the `PangoLayout` and must be used with care. It will become invalid on any change to the layout’s text or properties. No changes should be made to the lines.

The data is owned by the instance.